org.eclipse.emf.cdo.server.ocl

## Class CDOExtentCreator.Lazy

- java.lang.Object
- - org.eclipse.emf.cdo.server.ocl.CDOExtentCreator
  - - org.eclipse.emf.cdo.server.ocl.CDOExtentCreator.Lazy

- All Implemented Interfaces:
    OCLExtentCreator
  Enclosing class:
    CDOExtentCreator

      public static class CDOExtentCreator.Lazy
      extends CDOExtentCreator

  An `extent creator` that creates extent sets which support a lazy populating iterator.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.ocl.CDOExtentCreator

      `CDOExtentCreator.Lazy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lazy(CDOView view)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Set<EObject>` | `createExtent(EClass eClass, IStoreAccessor accessor, CDOBranch branch, long timeStamp, java.util.concurrent.atomic.AtomicBoolean canceled)`

    - ### Methods inherited from class org.eclipse.emf.cdo.server.ocl.CDOExtentCreator

      `createExtent, createExtent, getChangeSetData, getEObject, getRevisionCacheAdder, getView, handleRevisions, isDetached, setChangeSetData, setRevisionCacheAdder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lazy

          public Lazy(CDOView view)

  - ### Method Detail

    - #### createExtent

          protected java.util.Set<EObject> createExtent(EClass eClass,
                                                        IStoreAccessor accessor,
                                                        CDOBranch branch,
                                                        long timeStamp,
                                                        java.util.concurrent.atomic.AtomicBoolean canceled)

      Overrides:
        `createExtent` in class `CDOExtentCreator`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html